<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package news_bulletin
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">

    <?php wp_head(); ?>
</head>

<body <?php body_class('at-sticky-sidebar'); ?>itemscope itemtype="http://schema.org/WebPage">
  <?php
  $news_buletin_theme_mode = news_bulletin_get_option('news_bulletin_site_mode_options');
  if($news_buletin_theme_mode=='dark'){
  ?>
  <div class="theme-dark">
  <?php
  }
  ?>
<div class="loader-wrapper">
    <div class="loader"></div>
    <div class="loader-section section-left"></div>
    <div class="loader-section section-right"></div>
</div>
<div class="box">
    <div class="wraper">

        <?php

        if (function_exists('wp_body_open')) {
            wp_body_open();
        } else {
            do_action('wp_body_open');
        }
        ?>
        <div id="page" class="site">

            <a class="skip-link screen-reader-text"
               href="#content"><?php esc_html_e('Skip to content', 'news-bulletin'); ?></a>
            <a href="#" class="scrollup"><i class="fa fa-arrow-up" aria-hidden="true"></i></a>
            <div class="wraper">

                <?php
                do_action('news_bulletin_braeking_news');

                ?>

                <div class="header-background">

                    <div id="header-bar" class="header-bar">
                        <div class="container">

                            <div class="row clearfix">
                                <div class="col-md-8 col-sm-8 col-xs-12">
                                    <div class="current-date">
                                        <i class="fa fa-calendar-check-o"></i><?php echo esc_html(date_i18n('l, F j, Y')); ?>
                                    </div>

                                    <?php
                                    if (has_nav_menu('top-menu')) { ?>
                                        |
                                        <?php
                                        wp_nav_menu(array(
                                            'theme_location' => 'top-menu',
                                            'menu_class' => 'menu-design top-menu',
                                            'container' => 'ul',
                                        ));
                                    }
                                    ?>

                                </div><!--/ Top bar left end -->
                                <?php
                                do_action('news-bulletin-social-sharing');

                                ?>
                            </div><!--/ Content row end -->
                        </div><!--/ Container end -->
                    </div><!--/ Topbar end -->


                    <!-- Header start -->
                    <?php

                    do_action('news-bulletin-header-option');


                    if (is_admin()) { ?>
                    <div class="admin-bar">
                        <?php } ?>
                        <div id="menu-primary" class="main-menu clearfix">
                            <div class="container">
                                <div class="row">
                                    <div class="home-buttom">
                                        <a href="<?php echo esc_url(home_url('/')); ?> ">
                                            <i class="fa fa-home"></i> </a></div>

                                    <div class="menu-layout">

                                        <button class="navbar-toggler" type="button" data-toggle="collapse"
                                                data-target="#navbarSupportedContent"
                                                aria-controls="navbarSupportedContent" aria-expanded="false"
                                                aria-label="Toggle navigation">

                                            <i class="fas fa-align-justify"></i>
                                        </button>
                                        <nav class="navbar navbar-expand-lg">


                                            <div class="collapse navbar-collapse" id="navbarSupportedContent">


                                                <?php
                                                if (has_nav_menu('primary')) {
                                                    wp_nav_menu(array(
                                                        'theme_location' => 'primary',
                                                        'menu_class' => 'nav navbar-nav',
                                                        'container' => 'ul',
                                                    ));
                                                }
                                                ?>
                                            </div><!--/ Collapse end -->
                                            <!--/ Navigation end -->
                                              <div class="theme-switch">
      <input class="theme-switch_toggle" id="themeSwitchToggle" type="checkbox">
      <label class="theme-switch_label" for="themeSwitchToggle"></label>
  </div>

                                        </nav>


                                    </div>
                                    <div class="nav-search">
                                        <button id="search"><i class="fa fa-search"></i></button>
                                    </div><!-- Search end -->
                                    <div class="search-block" style="display: none;">
                                        <?php get_search_form(); ?>
                                        <a href="#" class="search-close">&times;</a>
                                    </div><!-- Site search end -->
                                </div><!--/ Container end -->
                            </div><!-- Menu wrapper end -->
                        </div>
                            <?php if (!is_admin()) { ?>
                        </div>
                    <?php }
                    do_action('news_bulletin_popular_tag');
                    ?>
