<?php
/**
 * Breadcrumb  display option options
 * @param null
 * @return array $news_bulletin_show_breadcrumb_option
 *
 */
if (!function_exists('news_bulletin_show_breadcrumb_option')) :
    function news_bulletin_show_breadcrumb_option()
    {
        $news_bulletin_show_breadcrumb_option = array(
            'enable' => esc_html__('Enable', 'news-bulletin'),
            'disable' => esc_html__('Disable', 'news-bulletin')
        );
        return apply_filters('news_bulletin_show_breadcrumb_option', $news_bulletin_show_breadcrumb_option);
    }
endif;


/**
 * latest blog display option options
 * @param null
 * @return array $news_bulletin_show_breadcrumb_option
 *
 */
if (!function_exists('news_bulletin_show_latest_blog_option')) :
    function news_bulletin_show_latest_blog_option()
    {
        $news_bulletin_show_latest_blog_option = array(
            'enable' => esc_html__('Enable', 'news-bulletin'),
            'disable' => esc_html__('Disable', 'news-bulletin')
        );
        return apply_filters('news_bulletin_show_latest__blog_option', $news_bulletin_show_latest_blog_option);
    }
endif;





/**
 * Sanitize Multiple Category
 * =====================================
 */

if ( !function_exists('news_bulletin_sanitize_multiple_category') ) :

    function news_bulletin_sanitize_multiple_category( $values )
    {

        $multi_values = !is_array( $values ) ? explode( ',', $values ) : $values;

        return !empty( $multi_values ) ? array_map( 'sanitize_text_field', $multi_values ) : array();
    }

endif;
